Bug 56612 - automount of samba shares not working
automount of samba shares not working
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-21 18:41 EST by Bernhard Ege
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The error message when trying to execute rc.local with mount -t smbfs in Red Hat 9 (246 bytes, text/plain)
2003-05-22 09:43 EDT, Igor Nestorovic
no flags Details
The error message when trying to execute rc.local with mount -t smbfs in Red Hat 9 (246 bytes, text/plain)
2003-05-22 09:45 EDT, Igor Nestorovic
no flags Details

  None (edit)
Description Bernhard Ege 2001-11-21 18:41:42 EST
Description of Problem:

I am trying to automount a samba share, but I get the following error 
in /var/log/messages:

parse(sun): entry key is a multipath entry

Version-Release number of selected component (if applicable):

autofs-3.1.7-14

How Reproducible:

Setup an automount in /etc/auto.misc:

key -fstype=smbfs,ip=server.ip.nr,password=PW //service/share

and do:

ls /misc/films


Additional Information:
	
I am able to mount the share with mount like this:

mount -t smbfs -o ip=server.ip.nr,password=PW //service/share tmp

, where tmp is just a random empty directory.
I am connection to a windows 98 pc.
Comment 1 Bernhard Ege 2001-11-21 18:44:58 EST
I forgot to write that I found this link to a hack to the autofs source that 
would allow automount of samba shares. This is a very old hack, but maybe it 
avoided the attention it needed?

http://www.uwsg.iu.edu/hypermail/linux/kernel/9709.3/0380.html

regards,

Bernhard
Comment 2 Bernhard Ege 2001-12-10 11:18:17 EST
I just patched autofs-3.1.7-21 with the hack provided at the URL and now my samba 
automount works just great.

Comment 3 Jerome Asselin 2002-07-11 16:47:18 EDT
I had the same problem with Red-Hat 7.2 and autofs 3.1.7-21.

A workaround was to create the symlink:
 ln -s /usr/sbin/smbmnt /bin/smbmnt

Perhaps a better fix can be done be resetting the
appropriate path in SAMBA and/or AUTOMOUNT.


Comment 4 Igor Nestorovic 2003-05-22 09:43:21 EDT
Created attachment 91891 [details]
The error message when trying to execute rc.local with mount -t smbfs in Red Hat 9

Mount of local windows shares fails on at least one mount point. The error
message displayed in the console san be found in the attachment.
This problem is new, and it did not occured in previous versions.
Comment 5 Igor Nestorovic 2003-05-22 09:45:17 EDT
Created attachment 91892 [details]
The error message when trying to execute rc.local with mount -t smbfs in Red Hat 9

Mount of windows shares fails on at least one mount point. The error message
displayed in the console san be found in the attachment.
This problem is new, and it did not occured in previous versions.
Comment 6 Bill Nottingham 2006-08-07 13:51:28 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 7 Bill Nottingham 2006-10-18 10:53:33 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.